Name: xmgr
Version: 4.1.2
Release: 12
Copyright: distributable
Source0: ftp://plasma-gate.weizmann.ac.il/pub/xmgr4/src/xmgr-4.1.2.tar.gz
Source1: xmgr
Patch0: xmgr-4.1.2.patch00
Patch1: xmgr-4.1.2.patch01
Patch2: xmgr-4.1.2.patch02
Patch3: xmgr-4.1.2.patch03
Icon: xmgr1.gif
BuildRoot: /tmp/xmgr-root
Packager: Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
ExclusiveArch: i386 alpha
Group: Applications/Math
Summary: Numerical Data Processing and Visualization Tool (xmgr)
%description
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package dynamic
Group: Applications/Math
Summary: Numerical Data Processing and Visualization Tool (xmgr)
Provides: xmgr
Conflicts: xmgr-semistatic

%description dynamic
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package semistatic
Group: Applications/Math
Summary: xmgr with statically linked Motif libraries
Provides: xmgr
Conflicts: xmgr-dynamic

%description semistatic
Xmgr is a Motif application for two-dimensional data visualization.
Xmgr can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Xmgr is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

In this package the Motif libraries are linked statically for users who have
no Motif runtime libraries.

%changelog

* Thu Jun 18 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- fixed target of link /usr/X11R6/lib/X11/xmgr/bin/fdf2fit

* Wed Jun 10 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- changed the prefix to /usr/X11R6
- added wrappers to call xmgr.dynamic or xmgr.semistatic. Now there
  is no longer a need for postinstall/uninstall scripts. There was
  a problem with the links if packages were updated.

* Thu Jun  4 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- Applied patch for fixing the legend box problem (#326)

* Fri May 29 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- Fixed the bug causing segfaults if there are missing arguments to
  command line switches

* Fri May 22 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>

- Applied patch a patch for fixing the fft problem (#398)

%prep
%setup
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
./configure --prefix=/usr/X11R6 --enable-acegr-home=/usr/X11R6/lib/X11/xmgr
make
cd src
mv xmgr xmgr.dynamic
`make -n xmgr | grep '^gcc' | head -1 | \
 sed -e 's/\([ \t]\|^\)-lXm\b/\1-Wl,-Bstatic,-lXm,-Bdynamic/g' \
     -e 's/\([ \t]\|^\)-lXbae\b/\1-Wl,-Bstatic,-lXbae,-Bdynamic/g'`
mv xmgr xmgr.semistatic
cd ..

%install
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make PREFIX=$RPM_BUILD_ROOT/usr/X11R6 \
     GR_HOME=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr \
     install
strip $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr/bin/xmgr
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr/bin/xmgr \
    $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr/bin/xmgr.dynamic
strip $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr/bin/grconvert
install -s src/xmgr.semistatic $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmgr/bin
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/xmgr
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/grbatch
install -m755 $RPM_SOURCE_DIR/xmgr $RPM_BUILD_ROOT/usr/X11R6/bin/xmgr
ln -sf /usr/X11R6/bin/xmgr $RPM_BUILD_ROOT/usr/X11R6/bin/grbatch
ln -sf /usr/X11R6/lib/X11/xmgr/bin/grconvert \
     $RPM_BUILD_ROOT/usr/X11R6/bin/grconvert
ln -sf /usr/X11R6/lib/X11/xmgr/auxiliary/fdf2fit \
     $RPM_BUILD_ROOT/usr/X11R6/bin/fdf2fit
mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf /usr/X11R6/lib/X11/xmgr/include/acegr_np.h \
    $RPM_BUILD_ROOT/usr/include/acegr_np.h
mkdir -p $RPM_BUILD_ROOT/usr/lib
ln -sf /usr/X11R6/lib/X11/xmgr/lib/libacegr_np.a \
    $RPM_BUILD_ROOT/usr/lib/libacegr_np.a

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files dynamic
%doc COPYRIGHT CHANGES
%docdir /usr/X11R6/lib/X11/xmgr/doc
%docdir /usr/X11R6/lib/X11/xmgr/examples
%dir /usr/X11R6/lib/X11/xmgr/bin
%dir /usr/X11R6/lib/X11/xmgr
/usr/X11R6/lib/X11/xmgr/doc
/usr/X11R6/lib/X11/xmgr/examples
/usr/X11R6/lib/X11/xmgr/auxiliary
/usr/X11R6/lib/X11/xmgr/include
/usr/X11R6/lib/X11/xmgr/lib
/usr/X11R6/lib/X11/xmgr/bin/xmgr.dynamic
/usr/X11R6/lib/X11/xmgr/bin/grconvert
/usr/X11R6/bin/xmgr
/usr/X11R6/bin/grbatch
/usr/X11R6/bin/grconvert
/usr/X11R6/bin/fdf2fit
/usr/lib/libacegr_np.a
/usr/include/acegr_np.h

%files semistatic
%doc COPYRIGHT CHANGES
%docdir /usr/X11R6/lib/X11/xmgr/doc
%docdir /usr/X11R6/lib/X11/xmgr/examples
%dir /usr/X11R6/lib/X11/xmgr/bin
%dir /usr/X11R6/lib/X11/xmgr
/usr/X11R6/lib/X11/xmgr/doc
/usr/X11R6/lib/X11/xmgr/examples
/usr/X11R6/lib/X11/xmgr/auxiliary
/usr/X11R6/lib/X11/xmgr/include
/usr/X11R6/lib/X11/xmgr/lib
/usr/X11R6/lib/X11/xmgr/bin/xmgr.semistatic
/usr/X11R6/lib/X11/xmgr/bin/grconvert
/usr/X11R6/bin/xmgr
/usr/X11R6/bin/grbatch
/usr/X11R6/bin/grconvert
/usr/X11R6/bin/fdf2fit
/usr/lib/libacegr_np.a
/usr/include/acegr_np.h
